/**
 * Licensed Materials - Property of IBM
 *
 * IBM Cognos Products: BI Glass
 *
 * Copyright IBM Corp. 2015
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
define(['jquery','bi/glass/app/plugins/GlassPlugin'], function($,GlassPlugin) {
	'use strict';

	var plugin = GlassPlugin.extend({

    render:  function() {
			var spiderstr = 	"<div class='overlay'>"+
				"<div class='spider_0'><div class='eye left'></div><div class='eye right'></div><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span></div>"+
				"<div class='spider_1'><div class='eye left'></div><div class='eye right'></div><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span></div>"+
				"<div class='spider_2'><div class='eye left'></div><div class='eye right'></div><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span></div>"+
				"<div class='spider_3'><div class='eye left'></div><div class='eye right'></div><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span></div>"+
				"<div class='spider_4'><div class='eye left'></div><div class='eye right'></div><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span></div>"+
				"<div class='spider_5'><div class='eye left'></div><div class='eye right'></div><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg left'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span><span class='leg right'></span></div>"+
			"</div>";
			var spiderdiv = 	$(spiderstr);
			if (!window._already_added_spiders)
			{
				document.body.appendChild(spiderdiv[ 0 ]);
				window._already_added_spiders = true;
			}
			var appController = __glassAppController;
			var glassContext = appController.glassContext;
			var uAccount = glassContext.services.userProfile.userAccount;
			var uname = uAccount.givenName + " " + uAccount.surname;
			var retnode = $('<div class="user_title">'+'</div>');
			//this.$el = retnode;
      return Promise.resolve();
    }
	});

	return plugin;

});
